Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jst.server.core
Class EJBBean

    java.lang.Object
      org.eclipse.wst.server.core.model.ModuleArtifactDelegate
          org.eclipse.jst.server.core.EJBBean

All Implemented Interfaces:
  IModuleArtifact

    public class EJBBean

extends ModuleArtifactDelegate

An EJB bean.

Provisional API: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

Field Summary
`static java.lang.String` | `EJB_11`
`static java.lang.String` | `EJB_20`
`static java.lang.String` | `EJB_21`
`static java.lang.String` | `EJB_30`

Constructor Summary
`EJBBean()` Create a new empty EJBBean.
`EJBBean(IModule module, java.lang.String jndiName, boolean remote, boolean local)` Create a new EJBBean.
`EJBBean(IModule module, java.lang.String jndiName, boolean remote, boolean local, java.lang.String version)` Create a new EJBBean with a specific version
`EJBBean(IModule module, java.lang.String jndiName, boolean remote, boolean local, java.lang.String version, java.lang.String interfaceName)` Create a new EJBBean with its interface name.

Method Summary
`void` | `deserialize(java.lang.String s)` Deserialize this object from a serialized string.
`java.lang.String` | `getInterfaceName()`
`java.lang.String` | `getJndiName()` Returns the JNDI name of the EJB.
`java.lang.String` | `getName()` Returns a user-presentable name for this artifact.
`java.lang.String` | `getVersion()` Returns the level of the specification of the EJB
`boolean` | `hasLocalInterface()` Returns whether the EJB has a local interface.
`boolean` | `hasRemoteInterface()` Returns whether the EJB has a remote interface.
`java.lang.String` | `serialize()` Serialize this object into a string.
`void` | `setInterfaceName(java.lang.String interfaceName)`

Methods inherited from class org.eclipse.wst.server.core.model.ModuleArtifactDelegate
`getModule`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EJB_11

    public static final java.lang.String EJB_11

See Also:
  Constant Field Values

### EJB_20

    public static final java.lang.String EJB_20

See Also:
  Constant Field Values

### EJB_21

    public static final java.lang.String EJB_21

See Also:
  Constant Field Values

### EJB_30

    public static final java.lang.String EJB_30

See Also:
  Constant Field Values

Constructor Detail

### EJBBean

    public EJBBean(IModule module,
                   java.lang.String jndiName,
                   boolean remote,
                   boolean local)

  Create a new EJBBean.

  Parameters:
    `module` - the module that the EJB is contained in
    `jndiName` - the JNDI name of the EJB
    `remote` - `true` if the EJB has a remote interface, and `false` otherwise
    `local` - `true` if the EJB has a local interface, and `false` otherwise

### EJBBean

    public EJBBean(IModule module,
                   java.lang.String jndiName,
                   boolean remote,
                   boolean local,
                   java.lang.String version)

  Create a new EJBBean with a specific version

  Parameters:
    `module` - the module that the EJB is contained in
    `jndiName` - the JNDI name of the EJB
    `remote` - `true` if the EJB has a remote interface, and `false` otherwise
    `local` - `true` if the EJB has a local interface, and `false` otherwise
    `version` - the level of the EJB specification that this EJB uses. Use one of the `EJB_xx` constants declared on `EJBBean`

### EJBBean

    public EJBBean(IModule module,
                   java.lang.String jndiName,
                   boolean remote,
                   boolean local,
                   java.lang.String version,
                   java.lang.String interfaceName)

  Create a new EJBBean with its interface name. This API is intended to be use by EJB 3.0.

  Parameters:
    `module` - the module that the EJB is contained in
    `jndiName` - the JNDI name of the EJB
    `remote` - `true` if the EJB has a remote interface, and `false` otherwise
    `local` - `true` if the EJB has a local interface, and `false` otherwise
    `version` - the level of the EJB specification that this EJB uses. Use one of the `EJB_xx` constants declared on `EJBBean`
    `interfaceName` - the interface name of the EJB

### EJBBean

    public EJBBean()

  Create a new empty EJBBean.

Method Detail

### getJndiName

    public java.lang.String getJndiName()

  Returns the JNDI name of the EJB.

  Returns:
    the JNDI name of the EJB

### hasRemoteInterface

    public boolean hasRemoteInterface()

  Returns whether the EJB has a remote interface.

  Returns:
    `true` if the EJB has a remote interface, and `false` otherwise

### hasLocalInterface

    public boolean hasLocalInterface()

  Returns whether the EJB has a local interface.

  Returns:
    `true` if the EJB has a local interface, and `false` otherwise

### getVersion

    public java.lang.String getVersion()

  Returns the level of the specification of the EJB

  Returns:
    the level of the specification of the EJB

### getName

    public java.lang.String getName()

  Description copied from class: `ModuleArtifactDelegate`
  Returns a user-presentable name for this artifact.

  Specified by:
    `getName` in class `ModuleArtifactDelegate`
  Returns:
    a user-presentable name

### deserialize

    public void deserialize(java.lang.String s)

  Description copied from class: `ModuleArtifactDelegate`
  Deserialize this object from a serialized string.

  Overrides:
    `deserialize` in class `ModuleArtifactDelegate`
  Parameters:
    `s` - a serialized string.

### serialize

    public java.lang.String serialize()

  Description copied from class: `ModuleArtifactDelegate`
  Serialize this object into a string.

  Overrides:
    `serialize` in class `ModuleArtifactDelegate`
  Returns:
    a serialized string

### getInterfaceName

    public java.lang.String getInterfaceName()

### setInterfaceName

    public void setInterfaceName(java.lang.String interfaceName)

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD